Update a node for a Kubernetes cluster

PUT/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}

A PUT request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id} allows reassigning a node to a different node group. The cluster and node IDs are required path parameters; the target node group ID has to be specified in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
kubernetes_cluster_id
string

A unique identifier of a Kubernetes cluster. To list all cluster IDs, use the relevant request.

node_id
string

A unique identifier of a node within the cluster. To list all node IDs, use the relevant request.

Request Body

FieldDetails
node_group_id
string

A unique identifier of the target node group. To list all node group IDs, use the relevant request.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/kubernetes_clusters/l9avgrbG/nodes/l9avgrbG" \  -H "Content-Type: application/json" \  -d '{    "node_group_id": "8mepg2dM"  }'
{  "id": "l9avgrbG",  "number": 105,  "hostname": "node105",  "configuration": "SSD.50",  "type": "cloud",  "role": "node",  "status": "active",  "private_ipv4_address": "127.0.103.51",  "public_ipv4_address": "127.0.105.52",  "location_id": 1322,  "location_code": "location2692",  "ref_id": "y1aKOnaQ",  "cluster_id": "l9avgrbG",  "node_group": {    "id": "8mepg2dM",    "name": "node_group_name",    "description": null,    "type": "static",    "created_at": "2025-12-31T00:00:00.000Z",    "updated_at": "2025-12-31T00:00:00.000Z"  },  "labels": {},  "created_at": "2025-12-31T00:00:00Z",  "updated_at": "2025-12-31T00:00:00Z"}